# $Id: mp3lint.spec,v 1.9 2003/12/14 21:02:18 ianb Exp $

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo "$installvendorlib")

Summary:        checks a directory tree of audio files for various problems

Group:          Applications/Multimedia
%define version 0.9
%define real_version 0.9
%define release 1

%define name    mp3lint
%define initdir %{_initrddir}

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
BuildArchitectures: noarch
Source: http://nessie.mcc.ac.uk/~ianb/projects/mp3lint/mp3lint-0.9.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Requires: libmp3-archive-perl

%Description
mp3lint is a tool to check collections of audio files for various
problems. It is highly configurable, allowing you to specify your
preferred format for filenames, minimum bitrate, tests to ignore,
etc. Formats checked are currently mp3, ogg, wav, flac, au, and m3u
playlists.  mp3lint is implemented as separate tools (perl modules),
each of which implements a set of tests. There are a total of 33
different tests.


%prep 
%setup

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=$RPM_BUILD_ROOT/%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT/%{_prefix}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR="$RPM_BUILD_ROOT"  INSTALLVENDORMAN1DIR=%{_mandir}/man1 INSTALLVENDORMAN3DIR=%{_mandir}/man3 INSTALLVENDORMAN5DIR=%{_mandir}/man5



[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files 
%defattr(-,root,root)
%doc debian/changelog debian/copyright README
%config(noreplace) %attr(644,root,root) /etc/mp3lintrc
%{_mandir}/man1/
%{_mandir}/man3/
%{_mandir}/man5/
%{perl_vendorlib}/MP3
%{_bindir}/mp3lint
%{_bindir}/mp3lintskip
%{_bindir}/mp3lintsum

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%preun

%changelog
* Wed Nov 5 2003 Ian Beckwith <ianb@nessie.mcc.ac.uk>
- Attempts to fix rpm problems

* Mon Oct 27 2003 Ian Beckwith <ianb@nessie.mcc.ac.uk>
- Initial release
